Name:           python-opentype-sanitizer
Version:        9.1.0
Release:    1%{?dist}
Summary:        Python wrapper for the OpenType Sanitizer

License:        BSD-3-Clause
URL:            https://github.com/googlefonts/ots-python
Source0:         %{url}/archive/v%{version}/ots-python-%{version}.tar.gz

BuildArch:      noarch

Patch0:          python-opentype-sanitizer-8.2.1-no-bundled-executable.patch

ExcludeArch:    %{ix86}

BuildRequires:  python3-devel
BuildRequires:  opentype-sanitizer = %{version}

Requires:       opentype-sanitizer = %{version}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-opentype-sanitizer
Summary:        %{summary}

Provides:       python3-ots = %{version}-%{release}


%description -n python3-opentype-sanitizer %{common_description}


%prep
%autosetup -n ots-python-%{version} -p1


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires -x testing


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel


%install
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
export BINDIR=/usr/bin
%pyproject_install
ln -svf '%{_bindir}/ots-sanitize' '%{buildroot}%{python3_sitelib}/ots/'
%pyproject_save_files ots


%check
%pytest


%files -n python3-opentype-sanitizer -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.1.0-1
- initial build
